# $Revision: 1.50 $, $Date: 2004/12/01 18:07:50 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Quota
%define		pnam	Quota
Summary:	Quota - Perl interface to file system quotas
Summary(pl):	Quota - perlowy interfejs do quot systemw plikw
Name:		perl-Quota
Version:	1.5.0
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	c6ad4707359e10c95ddcff3feb77f7db
Patch0:		%{name}-paths.patch
Patch1:		%{name}-pic.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Quota module provides access to file system quotas.  The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host.  Mount tables can
be parsed with getmntent and paths can be translated to device files
(or whatever the actual quotactl implementations needs as argument)
of the according file system.

%description -l pl
Modu Quota daje dostp do quot systemw plikw. Uywa wywoa
systemowych quotactl lub ioctl do sprawdzania lub ustawiania quot
lokalnych lub przesya zapytania po RPC do zdalnej maszyny. Tablice
montowanych partycji mog by analizowane poprzez getmntent, a cieki
tumaczone na pliki urzdze (lub cokolwiek, czego dana implementacja
quotactl wymaga jako parametru) odpowiadajcych im systemw plikw.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

# test is interactive
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -af contrib/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/%{pdir}.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%{perl_vendorarch}/auto/%{pdir}/autosplit.ix
%{perl_vendorarch}/auto/%{pdir}/%{pdir}.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pdir}.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/[Rqr]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Quota.spec,v $
Revision 1.50  2004/12/01 18:07:50  radek
- autoupdated to 1.5.0

Revision 1.49  2004/11/03 22:30:40  paladine
- formatting

Revision 1.48  2004/08/21 21:09:39  adamg
- updated to 1.4.11

Revision 1.47  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.46  2004/05/09 21:41:53  qboosh
- added pic patch (fixes build on amd64); release 2

Revision 1.45  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.44  2004/04/27 14:28:56  ankry
- license fixed, new bconds, cosmetics

Revision 1.43  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.42  2004/01/24 23:56:19  arekm
- autoupdated to 1.4.10

Revision 1.41  2003/09/18 13:20:49  adamg
- updated to 1.4.9

Revision 1.40  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.39  2003/06/29 12:59:19  migo
- up to 1.4.8
- perl-5.8.0 ready

Revision 1.38  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.35  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:37:51  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/09/27 21:04:15  ankry
- added tests on bcond (disabled by default)
- version 1.4.6, rel. 1

Revision 1.32  2002/08/13 22:02:34  qboosh
- pl description, release 4

Revision 1.31  2002/08/11 19:36:49  radek
- release up

Revision 1.30  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.29  2002/07/23 08:55:23  ankry
- fixed examples

Revision 1.28  2002/07/22 21:40:30  ankry
- translations, cleaning
- fixed attributes
- release 2

Revision 1.27  2002/07/20 23:09:46  qboosh
- updated to 1.4.4

Revision 1.26  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.25  2002/07/11 08:03:05  depesz
- new version; should work; STBR

Revision 1.24  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 17:25:26  marcus
- fixed changelog, "*" in first character is forbidden

Revision 1.22  2002/02/25 16:44:52  bartowl
- bad quota-version autodetect, fixed. (detects now v1 instead of v2)
- this make it works for 2.2.20 & 2.4.17 pld kernel

Revision 1.21  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/10 15:32:57  depesz
- adapterized

Revision 1.19  2002/01/18 02:14:25  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/17 00:12:07  kloczek
- updated to 1.4.1 (bugfix release).

Revision 1.17  2001/09/20 11:38:11  mis
- autoupdated to 1.4

Revision 1.16  2001/05/15 11:07:42  mis
- autoupdated to 1.3.4

Revision 1.15  2001/05/11 08:22:49  mis
- autoupdated to 1.3.3

Revision 1.14  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:14:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/28 19:05:14  mis
- updated (by autoup) to 1.3.2

Revision 1.10  2001/02/03 19:01:47  kloczek
- updated to 1.3.1.

Revision 1.9  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/23 15:39:06  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:14  pius
- updated to 1.3

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
